<?php 

class Pay{
    
    public function pagarLoan(){
        
        global $database;
        
if(isset($_POST['payLoan'])){
    
    $id = $_POST['id'];
    $valor = $_POST['valor'];
    $valorTotalComMulta = $_POST['valorMulta'];
    $jurosMora = $_POST['juros_de_mora'];
    $conta = $_POST['conta'];
    
    $hora = date('H:i');
    $user = $_SESSION['nome'];
    
    $account = $database->query("SELECT * FROM contas WHERE conta='$conta'");
    $saldoLook = $database->fetch_assoc($account);
    $saldoActual = $saldoLook['saldo'];
    
    $saldoNovo = $saldoActual + $valor;
    
  
    
    $credito = $database->query("SELECT * FROM creditos WHERE id = '$id'");
    $associate = $database->fetch_assoc($credito);
    
    $cliente = $associate['cliente'];
    $totalLoan = $associate['total'];
    
    $taxa = $associate['taxas'];
    
     $saldoCredito = $totalLoan - $valor;
    $dataPagamento = date('Y-m-d');
     $data_credito = $associate['data'];
     
            $Dias = 30;
            $date = new DateTime($data_credito);
                 $date->modify('+' .$Dias. 'day');
                 $mudanca_frente_1 = $date->format('Y-m-d');
                 $dataLimite = $mudanca_frente_1;

    
    $verifyPagamentos = $database->query("SELECT * FROM pagamentos WHERE id_pagamento = '$id' ORDER BY ID DESC LIMIT 1");
    $fetch = $database->fetch_assoc($verifyPagamentos);
    $saldo = $fetch['saldo'];
    $countPay = mysqli_num_rows($verifyPagamentos);
    
    if($countPay ==""){
        $saldoCredito = $totalLoan - $valor;
    }else{
        $saldoCredito = $saldo - $valor;
    }
    
    
    if($dataPagamento < $dataLimite && $valor < $totalLoan){
        
       $transaction = $database->query("INSERT INTO transacoes(descricao,saida,entrada,saldo,caixa,data,hora,user)
       VALUES('Pagamento de prestacao de $cliente','0','$valor','$saldoNovo','$conta','$dataPagamento','$hora','$user')");
        
        $pagamentos = $database->query("INSERT INTO pagamentos(nome_cliente,valor_pago,id_pagamento,prestacao,juros_de_mora,data,saldo,status)
        VALUES('$cliente','$valor','$id','$valor','$jurosMora','$dataPagamento','$saldoCredito','Parcelado')");
        $sql = $database->query("UPDATE creditos SET valor='$saldoCredito',v_prest='$saldoCredito',juros='0',total='$saldoCredito' WHERE id='$id'");
        $account = $database->query("UPDATE contas SET saldo='$saldoNovo' WHERE conta='$conta'");
        
        $url = "processamentos.php?id=$id&&cliente=$cliente";
        $message = "Credito parcelado dentro do prazo";
        echo "<script>window.open('alertas/alertas_good.php?url=$url&&message=$message','_self')</script>";
    
        
    }elseif($dataPagamento < $dataLimite && $valor == $totalLoan){
        
        $pagamentos = $database->query("INSERT INTO pagamentos(nome_cliente,valor_pago,id_pagamento,prestacao,juros_de_mora,data,saldo,status)
        VALUES('$cliente','$valor','$id','$valor','$jurosMora','$dataPagamento','$saldoCredito','Pago')");
    
     $transaction = $database->query("INSERT INTO transacoes(descricao,saida,entrada,saldo,caixa,data,hora,user)
       VALUES('Pagamento de prestacao de $cliente','0','$valor','$saldoNovo','$conta','$dataPagamento','$hora','$user')");
      $account = $database->query("UPDATE contas SET saldo='$saldoNovo' WHERE conta='$conta'");
    $sql = $database->query("UPDATE creditos SET status='Pago' WHERE id='$id'");
    
       $url = "processamentos.php?id=$id&&cliente=$cliente";
        $message = "Credito pago na totalidade com sucesso";
        echo "<script>window.open('alertas/alertas_good.php?url=$url&&message=$message','_self')</script>";
    

    }elseif($dataPagamento > $dataLimite && $valor < $totalLoan){
        
        $novoJuro = $saldoCredito * $taxa;
        $totalNovo = $saldoCredito + $novoJuro;
          $transaction = $database->query("INSERT INTO transacoes(descricao,saida,entrada,saldo,caixa,data,hora,user)
       VALUES('Pagamento de prestacao de $cliente','0','$valor','$saldoNovo','$conta','$dataPagamento','$hora','$user')");
        
        $pagamentos = $database->query("INSERT INTO pagamentos(nome_cliente,valor_pago,id_pagamento,prestacao,juros_de_mora,data,saldo,status)
        VALUES('$cliente','$valor','$id','$valor','$jurosMora','$dataPagamento','$saldoCredito','Recapitalizado')");
       
        $sql = $database->query("UPDATE creditos SET valor='$saldoCredito',v_prest='$totalNovo',juros='$novoJuro',total='$totalNovo',data='$dataPagamento',hora='$hora' WHERE id='$id'");
        $account = $database->query("UPDATE contas SET saldo='$saldoNovo' WHERE conta='$conta'");
        
        $url = "processamentos.php?id=$id&&cliente=$cliente";
        $message = "Credito Recapitalizado com sucesso";
        echo "<script>window.open('alertas/alertas_good.php?url=$url&&message=$message','_self')</script>";
    
        
    }elseif($dataPagamento > $dataLimite && $valor == $totalLoan){
        
           $pagamentos = $database->query("INSERT INTO pagamentos(nome_cliente,valor_pago,id_pagamento,prestacao,juros_de_mora,data,saldo,status)
        VALUES('$cliente','$valor','$id','$valor','$jurosMora','$dataPagamento','$saldoCredito','Pago')");
    
     $transaction = $database->query("INSERT INTO transacoes(descricao,saida,entrada,saldo,caixa,data,hora,user)
       VALUES('Pagamento de prestacao de $cliente','0','$valor','$saldoNovo','$conta','$dataPagamento','$hora','$user')");
      $account = $database->query("UPDATE contas SET saldo='$saldoNovo' WHERE conta='$conta'");
    $sql = $database->query("UPDATE creditos SET status='Pago' WHERE id='$id'");
    
       $url = "processamentos.php?id=$id&&cliente=$cliente";
        $message = "Credito pago na totalidade com sucesso";
        echo "<script>window.open('alertas/alertas_good.php?url=$url&&message=$message','_self')</script>";
    
    }else{
        
        echo "ERORORORRR";
    }
    
    
}
}

}

$payloan = new Pay()

?>